return require('packer').startup(function()

  -- Packer can manage itself as an optional plugin
  use {'wbthomason/packer.nvim', opt = true }

  use { 'weilbith/nvim-code-action-menu', cmd = 'CodeActionMenu' }

  -- Fuzzy finder
  use {
      'nvim-telescope/telescope.nvim',
      requires = {{'nvim-lua/popup.nvim'}, {'nvim-lua/plenary.nvim'}}
  }

  use 'nvim-treesitter/nvim-treesitter'

  -- LSP and related
  use { 'neovim/nvim-lspconfig' }
  use { 'nvim-lua/completion-nvim' }

  -- Lua development
  use { 'tjdevries/nlua.nvim' }


  -- Vim dispatch
  use { 'tpope/vim-dispatch' }

  -- Fugitive for Git
  use { 'tpope/vim-fugitive' }

  -- Airline status bar
  use { 'vim-airline/vim-airline' }
  use { 'vim-airline/vim-airline-themes' }

  use { 'cespare/vim-toml' }
  use { 'folke/trouble.nvim' }
  use { 'hrsh7th/nvim-cmp' }
  use { 'jacoborus/tender.vim' }
  use { 'RRethy/vim-illuminate' }
  use { 'rust-lang/rust.vim' }
  use { 'vim-scripts/DrawIt' }
  use { 'gleam-lang/gleam.vim' }

  use { 'stevearc/oil.nvim' }
end)
